Bug 1959519 - Operand details page only renders one status donut no matter how many 'podStatuses' descriptors are used
Summary: Operand details page only renders one status donut no matter how many 'podSta...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.8.0
Assignee: Jon Jackson
QA Contact: Yanping Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-11 17:33 UTC by Jon Jackson
Modified: 2021-07-27 23:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The logic used to aggregate status descriptors on operand details pages had a flaw causing only one podStatus descriptor to be used. Consequence: Only the last podStatus descriptor defined on the CSV would be rendered on operand details pages. Fix: Update the logic on the operand details page to ensure all podStatus descriptors are aggregated. Result: All podStatus descriptors are rendered as donut charts at the top of the operand details page.
Clone Of:
Environment:
Last Closed: 2021-07-27 23:07:53 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)
donuts (24.70 KB, image/png)
2021-05-17 07:21 UTC, Yanping Zhang
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8893 0 None open Bug 1959519: Fix typo in OperandDetails components 2021-05-11 17:39:57 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:08:11 UTC

Description Jon Jackson 2021-05-11 17:33:13 UTC
Description of problem:
Only one pod status donut is rendered on operand details page, no matter how many `podStatuses` descriptors are used.

Version-Release number of selected component (if applicable):
4.8

How reproducible:
Always

Steps to Reproduce:
1. In a namespace of your choice, create crd, csv, and operand from https://gist.github.com/TheRealJon/3680c8a573bde88a974588e269230562
2. Navigate to Operators > Installed Operators > Mock Operator > Mock Resource tab > 'mock-resource-instance' details page


Actual results:
Only one "Other Statuses" donut is rendered on the details page

Expected results:
Both a "Pod Statuses" and "Other Statuses" donut should be rendered.

Comment 2 Yanping Zhang 2021-05-17 07:21:28 UTC
Checked on ocp 4.8 cluster with payload 4.8.0-0.nightly-2021-05-15-141455.
Steps to verify:
1. In a namespace of your choice, create crd, csv, and operand from https://gist.github.com/TheRealJon/3680c8a573bde88a974588e269230562
2. Navigate to Operators > Installed Operators > Mock Operator > Mock Resource tab > 'mock-resource-instance' details page. Check "Pod Statuses" and "Other Statuses", both have donut rendered.
The bug is fixed.

Comment 3 Yanping Zhang 2021-05-17 07:21:57 UTC
Created attachment 1783949 [details]
donuts

Comment 6 errata-xmlrpc 2021-07-27 23:07:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.